/*
 * file: pillow.inc		ML Consulting		22Apr98
 *
 *  List of predicates exported by the PiLLoW library
 *
 *  PiLLoW has been developed at the Computer Science Department of the
 *	Technical University of Madrid by Daniel Cabesa, Manuel Hermenegildo, and Sacha Varma.
 *
 *  It is slightly modified for CS-Prolog II.
 *
 *  The original sources and documentation can be found at:
 *
 *	http://www.clip.dia.fi.upm.es/miscdocs/pillow/pillow.html
 */

#if __PILLOW_HOME
#define __PILLPFX
#else
#define __PILLPFX	pillow:
#endif
		% Form handling:
	__PILLPFX get_form_input/1,
	__PILLPFX get_form_input/2,
	__PILLPFX get_form_value/3,
	__PILLPFX text_lines/2,
	__PILLPFX form_empty_value/1,
	__PILLPFX form_default/3,
	__PILLPFX my_url/1,
	__PILLPFX form_request_method/1,

		% Document composition:
	__PILLPFX output_html/1,
	__PILLPFX output_html/2,
	__PILLPFX html2terms/2,
	__PILLPFX html_expansion/2,

		% Accessing WWW documents:
	__PILLPFX url_info/2,
	__PILLPFX url_info_relative/3,
	__PILLPFX url_query/2
%	__PILLPFX fetch_url/3		/* Later? */


#undef __PILLPFX
%%%%%%%%%%%%%%%%%%%
